Passer au contenu principal
POST
/
api
/
v1
/
UserPageAnalytics
Récupérer les statistiques de la page utilisateur
curl --request POST \
  --url https://server.codeium.com/api/v1/UserPageAnalytics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "service_key": "<string>",
  "group_name": "<string>",
  "start_timestamp": "<string>",
  "end_timestamp": "<string>"
}
'
import requests

url = "https://server.codeium.com/api/v1/UserPageAnalytics"

payload = {
"service_key": "<string>",
"group_name": "<string>",
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_key: '<string>',
group_name: '<string>',
start_timestamp: '<string>',
end_timestamp: '<string>'
})
};

fetch('https://server.codeium.com/api/v1/UserPageAnalytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "userTableStats": [
    {
      "name": "<string>",
      "email": "<string>",
      "lastUpdateTime": "<string>",
      "apiKey": "<string>",
      "activeDays": 123,
      "disableCodeium": true,
      "role": "<string>",
      "signupTime": "<string>",
      "lastAutocompleteUsageTime": "<string>",
      "lastChatUsageTime": "<string>",
      "lastCommandUsageTime": "<string>",
      "promptCreditsUsed": 123,
      "teamStatus": "<string>"
    }
  ],
  "billingCycleStart": "<string>",
  "billingCycleEnd": "<string>",
  "error": "<string>"
}

Vue d’ensemble

Récupérez les statistiques d’activité des utilisateurs affichées sur la page Teams, notamment les noms des utilisateurs, leurs adresses e-mail, leurs dernières heures d’activité, leurs jours actifs et les crédits de prompt utilisés.

Requête

service_key
string
requis
Votre clé de service avec les autorisations « Teams en lecture seule »
group_name
string
Limite les résultats aux utilisateurs d’un groupe spécifique (facultatif)
start_timestamp
string
Heure de début au format RFC 3339 (p. ex., 2023-01-01T00:00:00Z). Affecte uniquement le calcul de activeDays. S’il n’est pas fourni, la valeur par défaut est il y a un an.
end_timestamp
string
Heure de fin au format RFC 3339 (p. ex., 2023-12-31T23:59:59Z). Affecte uniquement le calcul de activeDays. S’il n’est pas fourni, l’heure actuelle est utilisée par défaut.

Exemple de requête

curl -X POST --header "Content-Type: application/json" \
--data '{
  "service_key": "your_service_key_here",
  "group_name": "engineering_team",
  "start_timestamp": "2024-01-01T00:00:00Z",
  "end_timestamp": "2024-12-31T23:59:59Z"
}' \
https://server.codeium.com/api/v1/UserPageAnalytics

Réponse

userTableStats
array
Tableau d’objets de statistiques des utilisateurs
billingCycleStart
string
Début du cycle de facturation en cours au format RFC 3339. Les valeurs promptCreditsUsed dans userTableStats correspondent à l’utilisation pendant ce cycle de facturation.
billingCycleEnd
string
Fin du cycle de facturation en cours au format RFC 3339. Les valeurs promptCreditsUsed dans userTableStats correspondent à l’utilisation pendant ce cycle de facturation.

Exemple de réponse

{
  "userTableStats": [
    {
      "name": "Alice",
      "email": "alice@cognition.ai",
      "lastUpdateTime": "2024-10-10T22:56:10.771591Z",
      "apiKey": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
      "activeDays": 178,
      "role": "admin",
      "signupTime": "2024-01-15T08:30:00Z",
      "lastAutocompleteUsageTime": "2024-10-10T22:56:10Z",
      "lastChatUsageTime": "2024-10-10T20:30:00Z",
      "promptCreditsUsed": 12500,
      "teamStatus": "USER_TEAM_STATUS_APPROVED"
    },
    {
      "name": "Bob",
      "email": "bob@cognition.ai",
      "lastUpdateTime": "2024-10-10T18:11:23.980237Z",
      "apiKey": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
      "activeDays": 210,
      "role": "member",
      "signupTime": "2024-02-01T10:00:00Z",
      "lastAutocompleteUsageTime": "2024-10-10T18:11:23Z",
      "lastChatUsageTime": "2024-10-09T14:22:00Z",
      "lastCommandUsageTime": "2024-10-08T09:15:00Z",
      "promptCreditsUsed": 8300,
      "teamStatus": "USER_TEAM_STATUS_APPROVED"
    }
  ],
  "billingCycleStart": "2024-10-01T00:00:00Z",
  "billingCycleEnd": "2024-11-01T00:00:00Z"
}

Réponses d’erreur

error
string
Message d’erreur décrivant l’erreur survenue
Scénarios d’erreur courants :
  • Clé de service invalide ou autorisations insuffisantes
  • Format d’horodatage invalide
  • Groupe introuvable
  • Limite de requêtes dépassée